#include <bits/stdc++.h>
#define ll long long
#define F first
#define S second
#define pii pair <int, int>
#define ld long double
#define ins insert
#define pb push_back
using namespace std;

const int N = 2e5 + 5;
const ll inf = 1e15;

pair <ll, int> mxs[N];

std::vector<int> solve(std::vector<int> A)
{
    vector <pii> aa;
    int n = A.size();
    ll s = 0;
    for (auto to: A)
    {
        s += to;
        aa.pb({to, aa.size()});
    }
    sort(aa.begin(), aa.end());

    for (int i = 0; i < n; i++) mxs[i] = {-inf, 0};

    for (int m = 0; m < (1ll << (n - 1)); m++)
    {
        int ss = 0, kk = 0;
        for (int j = 0; j < n - 1; j++) if ((1 << j) & m)
        {
            ss += aa[j].F;
            kk++;
        }
        if (ss <= (s - 1) / 2) mxs[kk] = max(mxs[kk], {ss, m});
    }

    int ms = 0, bk = n;
    for (int i = 0; i < n; i++)
    {
        if (mxs[i].F + aa[n - 1].F >= (s + 1) / 2) if (abs(i + 1 - (n - i - 1)) < bk)
        {
            bk = abs(i  + 1 - (n - i - 1));
            ms = mxs[i].S;
        }
    }

    vector <int> B;

    for (int j = 0; j < n - 1; j++) if ((1 << j) & ms)
    {
        B.pb(aa[j].S);
    }

    B.pb(aa[n - 1].S);

    for (int j = 0; j < n - 1; j++) if (!((1 << j) & ms))
    {
        B.pb(aa[j].S);
    }

    return B;
}

//mt19937 gen(chrono::high_resolution_clock::now().time_since_epoch().count());
//
//int32_t main()
//{
//    while (true)
//    {
//        int n;
//        n = gen() % 10 + 1;
//        vector <int> a;
//        int s = 0;
//        for (int i = 1; i <= n; i++)
//        {
//            int v = (gen() % 10) + 1;
//            a.pb(v);
//            a.pb(v);
//            s += v;
//        }
//        vector <int> ans = solve(a);
//        int k = 0;
//        for (auto to: ans)
//        {
//            k++;
//            s -= a[to];
//            if (s <= 0) break;
//        }
//        if (k != n)
//        {
//            for (auto to: a) cout << to << ' ';
//            cout << endl;
//            for (auto to: ans) cout << to << ' ';
//            cout << endl;
//            return 0;
//        }
//
//
//    }
//
//    return 0;
//}
